Bug 167762 - ports: multimedia/xbmc fails if devel/libinotify is installed first
Summary: ports: multimedia/xbmc fails if devel/libinotify is installed first
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kris Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-10 00:10 UTC by Kris Moore
Modified: 2012-05-25 14:10 UTC (History)
0 users

See Also:


Attachments
patch-xbmc-libinotify-check.txt (680 bytes, patch)
2012-05-10 10:33 UTC, mickael.maillot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kris Moore freebsd_committer 2012-05-10 00:10:01 UTC
LD      xbmc.bin
xbmc/input/linux/input_linux.a(LIRC.o): In function `CRemoteControl::Disconnect
()':
LIRC.cpp:(.text+0x1f0): undefined reference to `inotify_rm_watch'
xbmc/input/linux/input_linux.a(LIRC.o): In function `CRemoteControl::Initialize
()':
LIRC.cpp:(.text+0x407): undefined reference to `inotify_init'
LIRC.cpp:(.text+0x452): undefined reference to `inotify_add_watch'
gmake: *** [xbmc.bin] Error 1
*** Error code 1

Stop in /usr/ports/multimedia/xbmc.

How-To-Repeat: Build devel/libinotify, and then try to build multimedia/xmbc
Comment 1 Edwin Groothuis freebsd_committer 2012-05-10 00:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kmoore

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-10 00:10:17 UTC
Maintainer of multimedia/xbmc,

Please note that PR ports/167762 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167762

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-10 00:10:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 mickael.maillot 2012-05-10 10:33:27 UTC
2012/5/10 Edwin Groothuis <edwin@freebsd.org>:
> Maintainer of multimedia/xbmc,
>
> Please note that PR ports/167762 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167762
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org


Hi,

i added a check to libinotify availability
patch attached
Comment 5 Kris Moore 2012-05-22 14:51:45 UTC
On 05/10/2012 05:40, Mickaël Maillot wrote:
> The following reply was made to PR ports/167762; it has been noted by GNATS.
>
> From: =?ISO-8859-1?Q?Micka=EBl_Maillot?= <mickael.maillot@gmail.com>
> To: bug-followup@freebsd.org
> Cc:  
> Subject: Re: ports/167762: ports: multimedia/xbmc fails if devel/libinotify is
>  installed first
> Date: Thu, 10 May 2012 11:33:27 +0200
>
>  --20cf300fab73ea8df204bfab4f6d
>  Content-Type: text/plain; charset=ISO-8859-1
>  Content-Transfer-Encoding: quoted-printable
>  
>  2012/5/10 Edwin Groothuis <edwin@freebsd.org>:
>  > Maintainer of multimedia/xbmc,
>  >
>  > Please note that PR ports/167762 has just been submitted.
>  >
>  > If it contains a patch for an upgrade, an enhancement or a bug fix
>  > you agree on, reply to this email stating that you approve the patch
>  > and a committer will take care of it.
>  >
>  > The full text of the PR can be found at:
>  > =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/167762
>  >
>  > --
>  > Edwin Groothuis via the GNATS Auto Assign Tool
>  > edwin@FreeBSD.org
>  
>  Hi,
>  
>  i added a check to libinotify availability
>  patch attached
>  
>  --20cf300fab73ea8df204bfab4f6d
>  Content-Type: text/plain; charset=US-ASCII; name="patch-xbmc-libinotify-check.txt"
>  Content-Disposition: attachment; filename="patch-xbmc-libinotify-check.txt"
>  Content-Transfer-Encoding: base64
>  X-Attachment-Id: f_h21mc7ma0
>  
>  LS0tIGZpbGVzL3BhdGNoLWNvbmZpZ3VyZS5pbgkocmV2aXNpb24gMjk5OCkKKysrIGZpbGVzL3Bh
>  dGNoLWNvbmZpZ3VyZS5pbgkod29ya2luZyBjb3B5KQpAQCAtNDgsNiArNDgsMTQgQEAKICBpZiB0
>  ZXN0ICIkaG9zdF92ZW5kb3IiID0gImFwcGxlIiA7IHRoZW4KICAgICMgc3RhbmRhcmQgeGJtYyBw
>  YXRocwogICAgSU5DTFVERVM9IiRJTkNMVURFUyAtSVwkKGFic190b3Bfc3JjZGlyKS94Ym1jL29z
>  eCIKK0BAIC02MzUsNiArNjYwLDcgQEAKKyAKKyAjIENoZWNrIGlub3RpZnkgYXZhaWxhYmlsaXR5
>  CisgQUNfQ0hFQ0tfSEVBREVSKFtzeXMvaW5vdGlmeS5oXSwgQUNfREVGSU5FKFtIQVZFX0lOT1RJ
>  RlldLFsxXSxbRGVmaW5lIGlmIHdlIGhhdmUgaW5vdGlmeV0pLCkKKytBQ19DSEVDS19MSUIoW2lu
>  b3RpZnldLCBbbWFpbl0sLCkKKyAKKyAjIENoZWNrcyBmb3IgYm9vc3QgaGVhZGVycyB1c2luZyBD
>  WFggaW5zdGVhZCBvZiBDQworIEFDX0xBTkdfUFVTSChbQysrXSkKIEBAIC03MTMsNyArNzM4LDEx
>  IEBACiAgQUNfQ0hFQ0tfTElCKFtiejJdLCAgICAgICAgIFttYWluXSwsIEFDX01TR19FUlJPUigk
>  bWlzc2luZ19saWJyYXJ5KSkKICBBQ19DSEVDS19MSUIoW2pwZWddLCAgICAgICAgW21haW5dLCwg
>  QUNfTVNHX0VSUk9SKCRtaXNzaW5nX2xpYnJhcnkpKSAjIGNoZWNrIGZvciBjeGltYWdlCgo=
>  --20cf300fab73ea8df204bfab4f6d--

The patch seems to fix the issue here. Would you like me to commit it
for you?

-- 
Kris Moore
PC-BSD Software
iXsystems
Comment 6 mickael.maillot 2012-05-25 09:38:58 UTC
2012/5/22 Kris Moore <kris@pcbsd.org>:
> On 05/10/2012 05:40, Micka=EBl Maillot wrote:
>> The following reply was made to PR ports/167762; it has been noted by GN=
ATS.
>>
>> From: =3D?ISO-8859-1?Q?Micka=3DEBl_Maillot?=3D <mickael.maillot@gmail.co=
m>
>> To: bug-followup@freebsd.org
>> Cc:
>> Subject: Re: ports/167762: ports: multimedia/xbmc fails if devel/libinot=
ify is
>> =A0installed first
>> Date: Thu, 10 May 2012 11:33:27 +0200
>>
>> =A0--20cf300fab73ea8df204bfab4f6d
>> =A0Content-Type: text/plain; charset=3DISO-8859-1
>> =A0Content-Transfer-Encoding: quoted-printable
>>
>> =A02012/5/10 Edwin Groothuis <edwin@freebsd.org>:
>> =A0> Maintainer of multimedia/xbmc,
>> =A0>
>> =A0> Please note that PR ports/167762 has just been submitted.
>> =A0>
>> =A0> If it contains a patch for an upgrade, an enhancement or a bug fix
>> =A0> you agree on, reply to this email stating that you approve the patc=
h
>> =A0> and a committer will take care of it.
>> =A0>
>> =A0> The full text of the PR can be found at:
>> =A0> =3DA0 =3DA0http://www.freebsd.org/cgi/query-pr.cgi?pr=3D3Dports/167=
762
>> =A0>
>> =A0> --
>> =A0> Edwin Groothuis via the GNATS Auto Assign Tool
>> =A0> edwin@FreeBSD.org
>>
>> =A0Hi,
>>
>> =A0i added a check to libinotify availability
>> =A0patch attached
>>
>> =A0--20cf300fab73ea8df204bfab4f6d
>> =A0Content-Type: text/plain; charset=3DUS-ASCII; name=3D"patch-xbmc-libi=
notify-check.txt"
>> =A0Content-Disposition: attachment; filename=3D"patch-xbmc-libinotify-ch=
eck.txt"
>> =A0Content-Transfer-Encoding: base64
>> =A0X-Attachment-Id: f_h21mc7ma0
>>
>> =A0LS0tIGZpbGVzL3BhdGNoLWNvbmZpZ3VyZS5pbgkocmV2aXNpb24gMjk5OCkKKysrIGZpb=
GVzL3Bh
>> =A0dGNoLWNvbmZpZ3VyZS5pbgkod29ya2luZyBjb3B5KQpAQCAtNDgsNiArNDgsMTQgQEAKI=
CBpZiB0
>> =A0ZXN0ICIkaG9zdF92ZW5kb3IiID0gImFwcGxlIiA7IHRoZW4KICAgICMgc3RhbmRhcmQge=
GJtYyBw
>> =A0YXRocwogICAgSU5DTFVERVM9IiRJTkNMVURFUyAtSVwkKGFic190b3Bfc3JjZGlyKS94Y=
m1jL29z
>> =A0eCIKK0BAIC02MzUsNiArNjYwLDcgQEAKKyAKKyAjIENoZWNrIGlub3RpZnkgYXZhaWxhY=
mlsaXR5
>> =A0CisgQUNfQ0hFQ0tfSEVBREVSKFtzeXMvaW5vdGlmeS5oXSwgQUNfREVGSU5FKFtIQVZFX=
0lOT1RJ
>> =A0RlldLFsxXSxbRGVmaW5lIGlmIHdlIGhhdmUgaW5vdGlmeV0pLCkKKytBQ19DSEVDS19MS=
UIoW2lu
>> =A0b3RpZnldLCBbbWFpbl0sLCkKKyAKKyAjIENoZWNrcyBmb3IgYm9vc3QgaGVhZGVycyB1c=
2luZyBD
>> =A0WFggaW5zdGVhZCBvZiBDQworIEFDX0xBTkdfUFVTSChbQysrXSkKIEBAIC03MTMsNyArN=
zM4LDEx
>> =A0IEBACiAgQUNfQ0hFQ0tfTElCKFtiejJdLCAgICAgICAgIFttYWluXSwsIEFDX01TR19FU=
lJPUigk
>> =A0bWlzc2luZ19saWJyYXJ5KSkKICBBQ19DSEVDS19MSUIoW2pwZWddLCAgICAgICAgW21ha=
W5dLCwg
>> =A0QUNfTVNHX0VSUk9SKCRtaXNzaW5nX2xpYnJhcnkpKSAjIGNoZWNrIGZvciBjeGltYWdlC=
go=3D
>> =A0--20cf300fab73ea8df204bfab4f6d--
>
> The patch seems to fix the issue here. Would you like me to commit it
> for you?
>
> --
> Kris Moore
> PC-BSD Software
> iXsystems
>

yes i'm not a commiter.
Comment 7 dfilter service freebsd_committer 2012-05-25 14:06:06 UTC
kmoore      2012-05-25 13:05:50 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xbmc/files patch-configure.in 
  Log:
   - Fix building when devel/libinotify is installed
  
  PR: 167762
  Approved by: Maintainer <mickael.maillot@gmail.com>
  Obtained from: Maintainer <mickael.maillot@gmail.com>
  
  Revision  Changes    Path
  1.5       +8 -0      ports/multimedia/xbmc/files/patch-configure.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Kris Moore freebsd_committer 2012-05-25 14:06:29 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!